# Uses of Class
com.databend.jdbc.RawStatement

Packages that use RawStatement
Package
Description
com.databend.jdbc

## Uses of RawStatement in com.databend.jdbc

Subclasses of RawStatement in com.databend.jdbc
Modifier and Type
Class
Description
`class`
`NonQueryRawStatement`
A non query statement is a statement that does not return data (such as INSERT)
`class`
`QueryRawStatement`
A query statement is a statement that returns data (Typically starts with SELECT, SHOW, etc)
`class`
`SetParamRawStatement`
A Set param statement is a special statement that sets a parameter internally (this type of statement starts with SET)
Methods in com.databend.jdbc that return RawStatement
Modifier and Type
Method
Description
`static RawStatement`
RawStatement.`of(String sql, List<ParamMarker> paramPositions, String cleanSql)`
Methods in com.databend.jdbc with parameters of type RawStatement
Modifier and Type
Method
Description
`static StatementInfoWrapper`
StatementInfoWrapper.`of(@NonNull RawStatement rawStatement)`
Creates a StatementInfoWrapper from the `RawStatement`.
`static StatementInfoWrapper`
StatementInfoWrapper.`of(@NonNull RawStatement rawStatement, String id)`
Creates a StatementInfoWrapper from the `RawStatement`.
Constructor parameters in com.databend.jdbc with type arguments of type RawStatement
Modifier
Constructor
Description
``
`RawStatementWrapper(List<RawStatement> subStatements)`